rules:
  # Bronze
  action-setup:
    status: exempt
    comment: Integration does not register custom actions.
  appropriate-polling:
    status: exempt
    comment: |
      This integration does not poll.
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: |
      This integration does not have any custom actions.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: |
      Entities of this integration does not explicitly subscribe to events.
  entity-unique-id:
    status: exempt
    comment: |
      This integration does not have entities.
  has-entity-name:
    status: exempt
    comment: |
      This integration does not have entities.
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: Integration does not register custom actions.
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: |
      No Options flow.
  docs-installation-parameters: done
  entity-unavailable:
    status: exempt
    comment: |
      This integration does not have entities.
  integration-owner: done
  log-when-unavailable:
    status: exempt
    comment: |
      This integration does not have entities.
  parallel-updates:
    status: exempt
    comment: |
      This integration does not have platforms.
  reauthentication-flow: todo
  test-coverage: todo

  # Gold
  devices:
    status: exempt
    comment: |
      This integration connects to a single service.
  diagnostics:
    status: exempt
    comment: |
      There is no data to diagnose.
  discovery-update-info:
    status: exempt
    comment: |
      This integration is a cloud service and does not support discovery.
  discovery:
    status: exempt
    comment: |
      This integration is a cloud service and does not support discovery.
  docs-data-update:
    status: exempt
    comment: |
      This integration does not poll or push.
  docs-examples:
    status: exempt
    comment: |
      This integration only serves backup.
  docs-known-limitations:
    status: done
    comment: |
      No known limitations.
  docs-supported-devices:
    status: exempt
    comment: |
      This integration is a cloud service.
  docs-supported-functions:
    status: exempt
    comment: |
      This integration does not have entities.
  docs-troubleshooting:
    status: exempt
    comment: |
      No issues known to troubleshoot.
  docs-use-cases: todo
  dynamic-devices:
    status: exempt
    comment: |
      This integration connects to a single service.
  entity-category:
    status: exempt
    comment: |
      This integration does not have entities.
  entity-device-class:
    status: exempt
    comment: |
      This integration does not have entities.
  entity-disabled-by-default:
    status: exempt
    comment: |
      This integration does not have entities.
  entity-translations:
    status: exempt
    comment: |
      This integration does not have entities.
  exception-translations: done
  icon-translations:
    status: exempt
    comment: |
      This integration does not have entities.
  reconfiguration-flow:
    status: exempt
    comment: |
      Nothing to reconfigure.
  repair-issues: todo
  stale-devices:
    status: exempt
    comment: |
      This integration connects to a single service.

  # Platinum
  async-dependency: done
  inject-websession: todo
  strict-typing: todo
